package net.sf.jdatabaseimport;

import com.thoughtworks.xstream.converters.Converter;
import com.thoughtworks.xstream.converters.MarshallingContext;
import com.thoughtworks.xstream.converters.UnmarshallingContext;
import com.thoughtworks.xstream.io.HierarchicalStreamReader;
import com.thoughtworks.xstream.io.HierarchicalStreamWriter;

public class TableConverter implements Converter {

	public void marshal(Object obj, HierarchicalStreamWriter writer,
			MarshallingContext context) {
	}

	public Object unmarshal(HierarchicalStreamReader reader,
			UnmarshallingContext context) {
		Table t = new Table(reader.getAttribute("name"));
		while (reader.hasMoreChildren()) {
			reader.moveDown();
			if (reader.getNodeName().equals("ignore")) {
				t.ignoreField(reader.getValue());
			} else if (reader.getNodeName().equals("alias")) {
			}
			reader.moveUp();
		}
		return t;
	}

	public boolean canConvert(Class type) {
		return Table.class.isAssignableFrom(type);
	}

}
